[PVE-User] Python problem with upgrade to proxmoxVE6.3/ CEPH Nautilus 14.2.15

Jean-Luc Oms jean-luc.oms at lirmm.fr
Fri Nov 27 12:47:37 CET 2020


Bonjour,

Upgrading to last Proxmox VE / Ceph nautilus from the last 6.2 proxmox
VE seems to introduce a python 2/3 version problem, dashboard healt
stops working.

root at ceph1:/usr/bin# ceph health
HEALTH_ERR Module 'dashboard' has failed: ('invalid syntax',
('/usr/share/ceph/mgr/dashboard/controllers/orchestrator.py', 34, 11,
'    result: dict = {}\n'))

This syntax was introduced in 3.6, and using strace it seems python 2.7
is used.

Any option to resolve this ? everything was ok in 6.2-15.

Thanks


-- 
Jean-Luc Oms
/STI-ReseauX <https://rx.lirmm.fr>- LIRMM - CNRS/UM/
+33 4 67 41 85 93 <tel:+33-467-41-85-93> / +33 6 32 01 04 17
<tel:+33-632-01-04-17>


More information about the pve-user mailing list